package aisl.model;

/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
import java.io.Serializable;

/**
 *
 * @author rosmord
 */
public class Message implements Serializable {

    private int id;
    private String title;
    private String text;
    private User author;

    Message(int id, String title, String text, User author) {
        this.id = id;
        this.title = title;
        this.text = text;
        this.author = author;
    }

    public int getId() {
        return id;
    }

    public String getText() {
        return text;
    }

    public String getTitle() {
        return title;
    }

    public User getAuthor() {
        return author;
    }

    void setTitle(String title) {
        this.title = title;
    }

    void setText(String text) {
        this.text = text;
    }

    @Override
    public String toString() {
        return "Message{" + "id=" + id + ", title=" + title + ", text=" + text + ", author=" + author + '}';
    }
}
